Subject: [PATCH] ARM: exynos_defconfig: disable CONFIG_EXYNOS5420_MCPM; not stable

From: [email-masked] (Kevin Hilman)
Date: Mon, 10 Nov 2014 11:35:23 -0800

Kukjin Kim <[email-masked]> writes:

> Kevin Hilman wrote:
>> 
>> From: Kevin Hilman <[email-masked]>
>> 
>> The option CONFIG_EXYNOS5420_MCPM is causing imprecise external aborts
>> during boot testing, causing various userspace startup failures.
>> 
>> Disable until it has gotten more testing.
>> 
>> Cc: Kukjin Kim <[email-masked]>,
>> Cc: Javier Martinez Canillas <[email-masked]>,
>> Cc: Sachin Kamat <[email-masked]>,
>> Cc: Doug Anderson <[email-masked]>,
>> Cc: Bartlomiej Zolnierkiewicz <[email-masked]>,
>> Cc: Krzysztof Kozlowski <[email-masked]>,
>> Cc: Tushar Behera <[email-masked]>,
>> Cc: stable at vger.kernel.org # v3.17+
>> Signed-off-by: Kevin Hilman <[email-masked]>
>> ---
>> This has been reported by a few people[1], but not investigated or fixed, so it's
>> time to disable this feature until it can be fixed.
>> 
> Hi Kevin,
>
> Yeah I agree with your opinion.
>
> But as you can see my tree, I've queued regarding mcpm patches for 3.19 will
> be shown in -next in this weekend. 

Which of the recently queued patches are expected to address the
imprecise abort issue?  I'd be happy to test them out.  

> Anyway let me apply this into -fixes and
> then let's enable after test its functionality in -next in a couple of days.

Yes, I think this needs to be applied until these aborts are understood
and fixed.

Thanks,

Kevin